SLAPACL(8C)

NAME
slapacl - Check access to a list of attributes.

SYNOPSIS
SBINDIR/slapacl [-v] [-d level] [-f slapd.conf] [-D authcDN | -U authcID] -b DN [attr[/access][:value]] [...]

DESCRIPTION

Slapacl is used to check the behavior of the slapd in verifying access to data according to ACLs, as specified in slapd.access(5). It opens the slapd.conf(5) configuration file, reads in the access and defaultaccess directives, and then parses the attr list given on the command-line; if none is given, access to the entry pseudo-attribute is tested.

OPTIONS

-v  enable verbose mode.

-d level
    enable debugging messages as defined by the specified level.

-f slapd.conf
    specify an alternative slapd.conf(5) file.

-D authcDN
    specify a DN to be used as identity through the test session when selecting appropriate <by> clauses in access lists.

-U authcID
    specify an ID to be mapped to a DN as by means of authz-regexp or authz-rewrite rules (see slapd.conf(5) for details); mutually exclusive with -D.

-b DN
    specify the DN access to is requested; the corresponding entry is not fetched from the database, and thus it must not exist. However, a database must be selected to determine what rules apply; thus, it must be in the naming context of a configured database.

EXAMPLES
The command

	SBINDIR/slapacl -f /ETCDIR/slapd.conf -v \
            -U bjorn -b "o=University of Michigan,c=US" \
	    "o/read:University of Michigan"
tests whether the user bjorn can access the attribute o of the entry o=University of Michigan,c=US at read level.

SEE ALSO
ldap(3), slapd(8) slaptest(8) slapauth(8)

"OpenLDAP Administrator's Guide" (http://www.OpenLDAP.org/doc/admin/)

ACKNOWLEDGEMENTS
OpenLDAP is developed and maintained by The OpenLDAP Project (http://www.openldap.org/). OpenLDAP is derived from University of Michigan LDAP 3.3 Release.